Status: Resolved Start date: 03/24/2014
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Project Analysis Estimated time: 0.00 hour
Target version: 0.2
Description

In my experiments with the oncilla-sim.distribution, it seems, that thebuild-generator doesn't find any dependencies for 
libcca-oncilla.project. The project is build in the the first build-flow chunk although it has lots of dependencies.
I tried to execute the job configurator with just the libcca-oncilla.project and in --debug mode, to see what's happening. But even then,
their is no complaining about missing providers, so this seems to support my hypothesis, that dependencies are somehow not
extracted from the project.

Associated revisions
Revision d27e4c3e - 04/24/2014 09:41 AM - J. Moringen

Handle sub-directory variable more carefully in src/commandline-interface/main.lisp

fixes #1821

    -  src/commandline-interface/main.lisp (analyze-project): make sure that
  the value of the sub-directory variable is treated as a directory

Revision a85bb487 - 04/24/2014 10:57 AM - J. Moringen

Fixed sub-directory handling in src/analysis/subversion.lisp

refs #1821

    -  src/analysis/subversion.lisp (analyze uri eql :svn): expect
  sub-directory to be a directory pathname, not a string

History
#1 - 04/24/2014 09:44 AM - J. Moringen
- Category set to Project Analysis
- Status changed from Feedback to In Progress
- Assignee set to J. Moringen

#2 - 04/24/2014 09:50 AM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d27e4c3e3e891ce626f0daa6b8acae64fe6c9f08.

04/23/2024 1/2



#3 - 04/25/2014 12:54 PM - J. Moringen
- Target version set to 0.2
